from datetime import datetime
from typing import Iterator


class SingleDateIterator(Iterator):
    def __init__(self, value: datetime):
        self.value = value

    def __next__(self):
        return self.value
